# extrapolate/fastText

Mark Johnson, 7th January 2018

Produce data on how accuracy of fastText classifiers varies as a function
of training data size.

## How to run

* Copy training (`.train`) and testing (`.test`) files into `data` directory
* Run as 

```bash
nohup classifier.py -o classifier-results.csv -t ./tmp data/*train >& nohup.out &
```

* It might be a good idea to use a ramdisk for the temporary working file directory `./tmp`.

```bash
mkdir ./tmp
mount -t tmpfs -o size=32G tmpfs ./tmp
```



## Files

* [classifier.py](classifier.py): Runs the Python `fasttext` classifier
   with different training data and hyperparameter settings
* [classifier-results.csv](classifier-results.csv): Results of running
  [classifier.py](classifier.py)
* [classifier-analysis.R](classifier-analysis.R): R code for analysing
  [classifier-results.csv](classifier-results.csv)

## Requirements

Python `fasttext` (which requires `cython`)

Data from [Facebook fastText](https://github.com/facebookresearch/fastText)
